summaryrefslogtreecommitdiffstats
path: root/bin/helpers
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2018-11-15 21:01:26 -0500
committerJesse Luehrs <doy@tozt.net>2018-11-15 21:01:26 -0500
commit4674c05ee34bb2edf8941f0553a000bd0681e358 (patch)
tree52750c0db3d9be9d2c2b776a1539a3c5d1226253 /bin/helpers
parent929098296e365aa6c38e761fc22d5e07c140d124 (diff)
downloadpuppet-tozt-4674c05ee34bb2edf8941f0553a000bd0681e358.tar.gz
puppet-tozt-4674c05ee34bb2edf8941f0553a000bd0681e358.zip
fix rebooting
Diffstat (limited to 'bin/helpers')
-rwxr-xr-xbin/helpers/launch-partofme4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/helpers/launch-partofme b/bin/helpers/launch-partofme
index 4adb695..aa857be 100755
--- a/bin/helpers/launch-partofme
+++ b/bin/helpers/launch-partofme
@@ -26,7 +26,9 @@ run "sed -i 's/^HOOKS=(base udev.*block /&mdadm encrypt lvm2 /' /etc/mkinitcpio.
run "pacman -Syu --noconfirm"
# reboot to get our disks detected and to make sure we're actually running the
# latest kernel, or else loading the wireguard modules will fail
-run "reboot"
+# suppress errors here because typically sshd will drop your connection before
+# the reboot command gets a chance to return successfully
+run "reboot" || true
while ! run true; do
sleep 5